Package org.linphone.core

# Enum Class StreamType

java.lang.Object
java.lang.Enum<StreamType>
org.linphone.core.StreamType

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamType>`, `Constable`

public enum StreamType extends Enum<StreamType>
Enum describing the stream types.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Audio`
`Text`
`Unknown`
`Video`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static StreamType`
`fromInt(int value)`
`protected static StreamType[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(StreamType[] values)`
`static StreamType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StreamType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Audio

public static final StreamType Audio

### Video

public static final StreamType Video

### Text

public static final StreamType Text

### Unknown

public static final StreamType Unknown

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static StreamType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StreamType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static StreamType fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static StreamType[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(StreamType[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()